rem %1 は preview_temp の場所
rem この下には、src, arc ディレクトリがある。

rem %1 が渡されなかったら終了する。
if "%~1" == "" goto end

rem TWLMANUALTOOLS_ROOT がセットされていない場合は、
rem バッチファイルがあるフォルダの親の親フォルダをルートとする
if DEFINED TWLMANUALTOOLS_ROOT goto makeArc
set TWLMANUALTOOLS_ROOT=%~dp0..\..

:makeArc

rem マニュアルアーカイブファイル(圧縮後)があるディレクトリ
rem Viewerがこのフォルダの下のマニュアルデータを読み込みます。
set TWLMANUALTOOLS_MANDIR=%~1

rem 
rem /SKIP指定があれば、プレビュー処理を行わず処理を完了します。
rem バイナリ出力に利用します。
rem /i 文字列を比較する場合に、アルファベットの大文字と小文字を区別しない。
rem 
if /I "%2" == "/SKIP" (
    goto end
)

rem カレントディレクトリを移動
rem (startコマンドではダブルクォーテーションで囲めないため、
rem  スペースを含むパスにならないようにする。)
cd /d "%TWLMANUALTOOLS_ROOT%\tools"

rem mcsサーバを通して、Viewerを起動
if /I "%2" == "/E" (
    start McsServer\mcsserv.exe %2 ManualViewer\bin\ARM9-TS\viewer.srl
) else (
    start McsServer\mcsserv.exe %2 ManualViewer\bin\ARM9-TS.HYB\viewer.srl
)

:end
